tps = 25
mdesc0="Map done by V"
mdesc1="Insert Name for effects"


WorldLoaded = function()
	Trigger.AfterDelay(tps*3,MapDesc0)
end
MapDesc0 = function()
	Media.DisplayMessage(mdesc0,"Creator")
	Trigger.AfterDelay(tps*10,MapDesc1)
end
MapDesc1 = function()
	Media.DisplayMessage(mdesc1,"Credits")
end
Tick = function()
	if (Utils.RandomInteger(1, 200) == 10) then
		local delay = Utils.RandomInteger(1, 10)
		Lighting.Flash("LightningStrike", delay)
		Trigger.AfterDelay(delay, function()
			Media.PlaySound("thunder" .. Utils.RandomInteger(1,6) .. ".aud")
		end)
	end
	if (Utils.RandomInteger(1, 200) == 10) then
		Media.PlaySound("thunder-ambient.aud")
	end
end